
From: Mark Fasheh <mark.fasheh@oracle.com>

Attached is a patch against -mm for reiser4.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/vfs_ops.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/reiser4/vfs_ops.c~reiser4-update-filesystems-for-new-delete_inode-behavior fs/reiser4/vfs_ops.c
--- 25/fs/reiser4/vfs_ops.c~reiser4-update-filesystems-for-new-delete_inode-behavior	Mon Jul 11 17:14:44 2005
+++ 25-akpm/fs/reiser4/vfs_ops.c	Mon Jul 11 17:14:44 2005
@@ -645,6 +645,8 @@ reiser4_delete_inode(struct inode *objec
 {
 	reiser4_context ctx;
 
+	truncate_inode_pages(&object->i_data, 0);
+
 	init_context(&ctx, object->i_sb);
 	if (is_inode_loaded(object)) {
 		file_plugin *fplug;
_
